org.eclipse.oomph.setup.impl

## Class ProjectImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.setup.impl.SetupTaskContainerImpl
            - - org.eclipse.oomph.setup.impl.ScopeImpl
              - - org.eclipse.oomph.setup.impl.ProjectImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, Project, ProjectContainer, Scope, SetupTaskContainer

      public class ProjectImpl
      extends ScopeImpl
      implements Project

  An implementation of the model object 'Project'.

  The following features are implemented:

  - `Projects`
  - `Streams`
  - `Project Container`
  - `Logical Project Container`
  - `Parent Project`
  - `Project Catalog`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ProjectContainer` | `logicalProjectContainer` The cached value of the '`Logical Project Container`' reference.
    `protected EList<Project>` | `projects` The cached value of the '`Projects`' containment reference list.
    `protected EList<Stream>` | `streams` The cached value of the '`Streams`' containment reference list.

    - ### Fields inherited from class org.eclipse.oomph.setup.impl.ScopeImpl

      `description, DESCRIPTION_EDEFAULT, label, LABEL_EDEFAULT, name, NAME_EDEFAULT, QUALIFIED_NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.oomph.setup.impl.SetupTaskContainerImpl

      `setupTasks`

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ProjectImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProjectContainer` | `basicGetLogicalProjectContainer()`
    `ProjectContainer` | `basicGetProjectContainer()`
    `NotificationChain` | `basicSetProjectContainer(ProjectContainer newProjectContainer, NotificationChain msgs)`
    `NotificationChain` | `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `NotificationChain` | `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `ProjectContainer` | `getLogicalProjectContainer()`
    `Project` | `getParentProject()`
    `Scope` | `getParentScope()`
    `ProjectCatalog` | `getProjectCatalog()`
    `ProjectContainer` | `getProjectContainer()`
    `EList<Project>` | `getProjects()`
    `EList<Stream>` | `getStreams()`
    `ScopeType` | `getType()`
    `void` | `setLogicalProjectContainer(ProjectContainer newLogicalProjectContainer)`
    `void` | `setProjectContainer(ProjectContainer newProjectContainer)`

    - ### Methods inherited from class org.eclipse.oomph.setup.impl.ScopeImpl

      `getDescription, getLabel, getName, getQualifiedName, setDescription, setLabel, setName, toString`

    - ### Methods inherited from class org.eclipse.oomph.setup.impl.SetupTaskContainerImpl

      `getSetupTasks`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.setup.Scope

      `getDescription, getLabel, getName, getQualifiedName, setDescription, setLabel, setName`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTaskContainer

      `getSetupTasks`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### projects

          protected EList<Project> projects

      The cached value of the '`Projects`' containment reference list.
      See Also:
        `getProjects()`
      Generated
      Ordered

    - #### streams

          protected EList<Stream> streams

      The cached value of the '`Streams`' containment reference list.
      See Also:
        `getStreams()`
      Generated
      Ordered

    - #### logicalProjectContainer

          protected ProjectContainer logicalProjectContainer

      The cached value of the '`Logical Project Container`' reference.
      See Also:
        `getLogicalProjectContainer()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### ProjectImpl

          protected ProjectImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `ScopeImpl`
      Generated

    - #### getStreams

          public EList<Stream> getStreams()

      Specified by:
        `getStreams` in interface `Project`
      Returns:
        the value of the 'Streams' containment reference list.
      See Also:
        `SetupPackage.getProject_Streams()`, `Stream.getProject()`
      Generated

    - #### getProjectContainer

          public ProjectContainer getProjectContainer()

      Specified by:
        `getProjectContainer` in interface `Project`
      Specified by:
        `getProjectContainer` in interface `ProjectContainer`
      Returns:
        the value of the 'Project Container' container reference.
      See Also:
        `Project.setProjectContainer(ProjectContainer)`, `SetupPackage.getProject_ProjectContainer()`, `ProjectContainer.getProjects()`
      Generated

    - #### basicGetProjectContainer

          public ProjectContainer basicGetProjectContainer()

      Generated

    - #### basicSetProjectContainer

          public NotificationChain basicSetProjectContainer(ProjectContainer newProjectContainer,
                                                   NotificationChain msgs)

      Generated

    - #### setProjectContainer

          public void setProjectContainer(ProjectContainer newProjectContainer)

      Specified by:
        `setProjectContainer` in interface `Project`
      Parameters:
        `newProjectContainer` - the new value of the 'Project Container' container reference.
      See Also:
        `Project.getProjectContainer()`
      Generated

    - #### getLogicalProjectContainer

          public ProjectContainer getLogicalProjectContainer()

      Specified by:
        `getLogicalProjectContainer` in interface `Project`
      Returns:
        the value of the 'Logical Project Container' reference.
      See Also:
        `Project.setLogicalProjectContainer(ProjectContainer)`, `SetupPackage.getProject_LogicalProjectContainer()`
      Generated

    - #### basicGetLogicalProjectContainer

          public ProjectContainer basicGetLogicalProjectContainer()

      Generated

    - #### setLogicalProjectContainer

          public void setLogicalProjectContainer(ProjectContainer newLogicalProjectContainer)

      Specified by:
        `setLogicalProjectContainer` in interface `Project`
      Parameters:
        `newLogicalProjectContainer` - the new value of the 'Logical Project Container' reference.
      See Also:
        `Project.getLogicalProjectContainer()`
      Generated

    - #### getParentProject

          public Project getParentProject()

      Specified by:
        `getParentProject` in interface `Project`
      Returns:
        the value of the 'Parent Project' reference.
      See Also:
        `SetupPackage.getProject_ParentProject()`
      Generated
        NOT

    - #### getProjectCatalog

          public ProjectCatalog getProjectCatalog()

      Specified by:
        `getProjectCatalog` in interface `Project`
      Specified by:
        `getProjectCatalog` in interface `ProjectContainer`
      Returns:
        the value of the 'Project Catalog' reference.
      See Also:
        `SetupPackage.getProject_ProjectCatalog()`
      Generated
        NOT

    - #### getProjects

          public EList<Project> getProjects()

      Specified by:
        `getProjects` in interface `ProjectContainer`
      Returns:
        the value of the 'Projects' containment reference list.
      See Also:
        `SetupPackage.getProjectContainer_Projects()`, `Project.getProjectContainer()`
      Generated

    - #### eInverseAdd

          public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                      int featureID,
                                      NotificationChain msgs)

      Overrides:
        `eInverseAdd` in class `ModelElementImpl`
      Generated

    - #### eInverseRemove

          public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `SetupTaskContainerImpl`
      Generated

    - #### eBasicRemoveFromContainerFeature

          public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

      Overrides:
        `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `ScopeImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `ScopeImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `ScopeImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `ScopeImpl`
      Generated

    - #### getType

          public ScopeType getType()

      Description copied from class: `ScopeImpl`
      Specified by:
        `getType` in interface `Scope`
      Specified by:
        `getType` in class `ScopeImpl`

    - #### getParentScope

          public Scope getParentScope()

      Description copied from class: `ScopeImpl`
      Specified by:
        `getParentScope` in interface `Scope`
      Overrides:
        `getParentScope` in class `ScopeImpl`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html